Send Phone Verification Code
curl --request POST \
--url https://admin.snagsolutions.io/api/phone_verifications \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"phoneNumber": "+14155552671",
"websiteId": "123e4567-e89b-12d3-a456-426614174000",
"userId": "123e4567-e89b-12d3-a456-426614174001",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'import requests
url = "https://admin.snagsolutions.io/api/phone_verifications"
payload = {
"phoneNumber": "+14155552671",
"websiteId": "123e4567-e89b-12d3-a456-426614174000",
"userId": "123e4567-e89b-12d3-a456-426614174001",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phoneNumber: '+14155552671',
websiteId: '123e4567-e89b-12d3-a456-426614174000',
userId: '123e4567-e89b-12d3-a456-426614174001',
walletAddress: '0x1234567890abcdef1234567890abcdef12345678'
})
};
fetch('https://admin.snagsolutions.io/api/phone_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "Verification code sent.",
"userId": "123e4567-e89b-12d3-a456-426614174001"
}
}{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Identity
Send Phone Verification Code
Initiates phone number verification by sending an OTP code via SMS using Twilio Verify.
POST
/
api
/
phone_verifications
Send Phone Verification Code
Authorizations
Body
application/json
Body
Request body for initiating phone verification via OTP
Phone number in E.164 format (e.g., +14155552671)
Pattern:
^\+[1-9]\d{1,14}$Example:
"+14155552671"
The ID of the website
Example:
"123e4567-e89b-12d3-a456-426614174000"
The ID of the user
Example:
"123e4567-e89b-12d3-a456-426614174001"
The wallet address of the user
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Response
200
Standard response wrapper for initiating a phone number's verification
Response payload after initiating phone verification via OTP
Show child attributes
Show child attributes
Was this page helpful?
⌘I